Bug 217552 - [PATCH] security/krb5-115: Simplify and enhance port
Summary: [PATCH] security/krb5-115: Simplify and enhance port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Cy Schubert
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-03-05 00:42 UTC by John W. O'Brien
Modified: 2017-03-21 00:28 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (cy)
john: maintainer-feedback?


Attachments
security/krb5-115: Simplify and enhance port (16.99 KB, patch)
2017-03-05 00:42 UTC, John W. O'Brien
john: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2017-03-05 00:42:08 UTC
Created attachment 180520 [details]
security/krb5-115: Simplify and enhance port

This submission is intended to simplify and enhance the security/krb5-115 port by taking greater advantage of the features of the ports machinery.

See review D9889 for details.

QA
==

portlint: OK
poudriere: OK -- testport on 10.3-RELEASE-p17 amd64
Comment 1 commit-hook freebsd_committer 2017-03-14 02:48:38 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 02:48:20 UTC 2017
New revision: 436116
URL: https://svnweb.freebsd.org/changeset/ports/436116

Log:
  Make READLINE default.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
Comment 2 commit-hook freebsd_committer 2017-03-14 02:52:43 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 02:51:38 UTC 2017
New revision: 436117
URL: https://svnweb.freebsd.org/changeset/ports/436117

Log:
  Replace explicit PLIST_SUB with OPTIONS_SUB, simplifying Makefiles.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
Comment 3 commit-hook freebsd_committer 2017-03-14 02:55:47 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 02:55:25 UTC 2017
New revision: 436118
URL: https://svnweb.freebsd.org/changeset/ports/436118

Log:
  Install LDIF and schema files if LDAP is enabled

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-113/pkg-plist
  head/security/krb5-114/Makefile
  head/security/krb5-114/pkg-plist
  head/security/krb5-115/Makefile
  head/security/krb5-115/pkg-plist
Comment 4 commit-hook freebsd_committer 2017-03-14 02:59:52 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 02:59:39 UTC 2017
New revision: 436119
URL: https://svnweb.freebsd.org/changeset/ports/436119

Log:
  Use options helpers.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
Comment 5 commit-hook freebsd_committer 2017-03-14 03:07:00 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 03:06:24 UTC 2017
New revision: 436121
URL: https://svnweb.freebsd.org/changeset/ports/436121

Log:
  Remove redundant file that should have been removed in r253265.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-113/files/README.FreeBSD
  head/security/krb5-114/Makefile
  head/security/krb5-114/files/README.FreeBSD
  head/security/krb5-115/Makefile
  head/security/krb5-115/files/README.FreeBSD
Comment 6 commit-hook freebsd_committer 2017-03-14 03:10:04 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 03:09:17 UTC 2017
New revision: 436122
URL: https://svnweb.freebsd.org/changeset/ports/436122

Log:
  New READLINE_PORT option to select to use readline in base or
  readline in ports.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
Comment 7 commit-hook freebsd_committer 2017-03-14 03:15:12 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 03:14:09 UTC 2017
New revision: 436125
URL: https://svnweb.freebsd.org/changeset/ports/436125

Log:
  Convert to global EXAMPLES (default).

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-113/pkg-plist
  head/security/krb5-114/Makefile
  head/security/krb5-114/pkg-plist
  head/security/krb5-115/Makefile
  head/security/krb5-115/pkg-plist
Comment 8 commit-hook freebsd_committer 2017-03-14 03:16:15 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 03:15:55 UTC 2017
New revision: 436126
URL: https://svnweb.freebsd.org/changeset/ports/436126

Log:
  Respect global NLS option.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-113/pkg-plist
  head/security/krb5-114/Makefile
  head/security/krb5-114/pkg-plist
  head/security/krb5-115/Makefile
  head/security/krb5-115/pkg-plist
Comment 9 commit-hook freebsd_committer 2017-03-14 03:18:18 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 03:17:52 UTC 2017
New revision: 436127
URL: https://svnweb.freebsd.org/changeset/ports/436127

Log:
  Describe CMD_LINE_EDITING RADIO group.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
Comment 10 commit-hook freebsd_committer 2017-03-14 03:23:24 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 03:22:21 UTC 2017
New revision: 436128
URL: https://svnweb.freebsd.org/changeset/ports/436128

Log:
  Simplfy WRKSRC by using WRKSRC_SUBDIR.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
Comment 11 commit-hook freebsd_committer 2017-03-14 03:25:27 UTC
A commit references this bug:

Author: cy
Date: Tue Mar 14 03:24:43 UTC 2017
New revision: 436129
URL: https://svnweb.freebsd.org/changeset/ports/436129

Log:
  Pet portlint.

  PR:		217552
  Submitted by:	John W. O'brien <john@saltant.com>
  Differential Revision:	D9889

Changes:
  head/security/krb5-113/Makefile
  head/security/krb5-114/Makefile
  head/security/krb5-115/Makefile
Comment 12 Cy Schubert freebsd_committer 2017-03-21 00:28:16 UTC
Most of the submitted patch has been committed. There is a disagreement on whether the user should specify DOCS *AND* DOCSHTML/DOCSPDF. I disagree that having the user specify both is a POLA violation.

Discussion continues at https://github.com/neirbowj/fbsd-krb5-ports/commit/afaf6b2a74bb9cbb1ccb70173622994e479a8e99#commitcomment-21407074